### Function

# Gtk TreeViewSearchEqualFunc

#### Declaration

    gboolean
    TreeViewSearchEqualFunc (
      GtkTreeModel* model,
      int column,
      const char* key,
      GtkTreeIter* iter,
      gpointer search_data
    )

#### Description [src]

A function used for checking whether a row in `model` matches a search key string entered by the user. Note the return value is reversed from what you would normally expect, though it has some similarity to strcmp() returning 0 for equal strings.

#### Parameters

`model` | `GtkTreeModel`
| The `GtkTreeModel` being searched.
| The data is owned by the caller of the function.
`column` | `int`
| The search column set by gtk_tree_view_set_search_column().
`key` | `const char*`
| The key string to compare with.
| The data is owned by the caller of the function.
| The string is a NUL terminated UTF-8 string.
`iter` | `GtkTreeIter`
| A `GtkTreeIter` pointing the row of `model` that should be compared with `key`.
| The data is owned by the caller of the function.
`search_data` | `gpointer`
| User data from gtk_tree_view_set_search_equal_func().

#### Return value

Returns: | `gboolean`
| `FALSE` if the row matches, `TRUE` otherwise.